=== debian/changelog ===
qtjsbackend-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Add Vcs-Bzr for ~kubuntu-packaging

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 21 Mar 2013 06:53:27 +0000

qtjsbackend-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * debian/control
    - v8 only supports amd64, i386 and armhf so setting Architecture 
      to just those

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 20 Mar 2013 12:31:59 -0400

qtjsbackend-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 08:03:59 +0000
