=== debian/control ===
Source: qtjsbackend-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               python,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~)
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtjsbackend-opensource-src

Package: libqt5v8-5
Architecture: amd64 i386 armhf
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 JavaScript backend module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt JavaScript backend module powered by V8 JavaScript engine.

Package: libqt5v8-5-dev
Section: libdevel
Architecture: amd64 i386 armhf
Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 JavaScript backend development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using V8 JavaScript engine.

Package: libqt5v8-5-private-dev
Architecture: amd64 i386 armhf
Section: libdevel
Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 JavaScript backend private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for building
 Qt 5 applications using V8 JavaScript engine private headers.

Package: libqt5v8-5-dbg
Priority: extra
Architecture: amd64 i386 armhf
Section: debug
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 JavaScript backend debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 V8 library.
