## qtjsbackend-opensource-src 5.0.2

=== debian/changelog ===
qtjsbackend-opensource-src (5.0.2-3) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols files for i386.

  [ Pino Toscano ]
  * debian/control: remove unused ${misc:Pre-Depends} from libqt5v8-5-dev,
    libqt5v8-5-private-dev and libqt5v8-5-dbg.
  * debian/control: remove unused ${shlibs:Depends} from
    libqt5v8-5-private-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Apr 2013 17:56:04 -0300

qtjsbackend-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Do not pass --list-missing. We are using --fail-missing in the exact rule.
  * Export QT_SELECT=qt5 to avoid a FTBFS when the debhelper patch that makes
    Qt4 as default get included.
    - Remove qt5-default as B-D, as it's not really needed now.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Apr 2013 14:40:57 -0300

qtjsbackend-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Apr 2013 15:51:45 -0300
