=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtjsbackend-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,15 +10,16 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
+               pkg-kde-tools,
                python,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~)
+               qtbase5-private-dev (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtjsbackend-opensource-src
+Vcs-Git: git://git.debian.org/pkg-kde/qt/qtjsbackend.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtjsbackend.git;a=summary
 
 Package: libqt5v8-5
-Architecture: amd64 i386 armhf
+Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -31,7 +31,8 @@
 
 Package: libqt5v8-5-dev
 Section: libdevel
-Architecture: amd64 i386 armhf
+Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -41,9 +42,10 @@
  applications using V8 JavaScript engine.
 
 Package: libqt5v8-5-private-dev
-Architecture: amd64 i386 armhf
+Architecture: any
 Section: libdevel
-Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -53,9 +55,9 @@
 
 Package: libqt5v8-5-dbg
 Priority: extra
-Architecture: amd64 i386 armhf
+Architecture: any
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 JavaScript backend debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
