## qtjsbackend-opensource-src 5.1.1

=== debian/changelog ===
qtjsbackend-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Make libqt5v8-5-dev depend on qtbase5-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Tight Qt buil dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 16:44:46 -0300

qtjsbackend-opensource-src (5.1.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Aug 2013 15:35:42 -0300

qtjsbackend-opensource-src (5.1.0-2) experimental; urgency=low

  * Reintroduce private headers. They are used by qtjsbackend.
  * Make libqt5v8-5 provide qtjsbackend-api-5-1-0.
    In this way we can know if external packages are using private headers.
    - Add the necessary options in the symbols file.
    - Add mark_private_symbols.sh.
    - Mark private symbols by running the above mentioned script.
    - Add lintian override for libqt5v8-5.
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Jul 2013 12:44:12 -0300

qtjsbackend-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update Vcs-Browser and Vcs-Git headers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update watch file.
  * Bump Qt build dependencies to 5.1.0~.
  * Remove libqt5v8-5-private-dev. So far no part of Qt seems to be using it.
    Can be re added later if needed.
    - Delete the files in the dh_auto_install override.
  * Update install files.
  * Update symbols files. The removed symbols where not present in the headers
    we shipped.
  * Make libqt5v8-5-dbg M-A: same to allow coinstallation of debugging symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 09 Jul 2013 22:16:14 -0300
