=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
                python,
-               qtbase5-private-dev (>= 5.0.2~)
+               qtbase5-private-dev (>= 5.1.1+dfsg~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtjsbackend.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtjsbackend.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtjsbackend.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtjsbackend.git;a=summary
 
 Package: libqt5v8-5
 Architecture: any
@@ -33,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}, qtbase5-dev
 Description: Qt 5 JavaScript backend development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -46,6 +46,7 @@
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5-dev (= ${binary:Version}), ${misc:Depends}
+Provides: qtjsbackend-abi-5-1-0
 Description: Qt 5 JavaScript backend private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -56,6 +57,7 @@
 Package: libqt5v8-5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5v8-5 (= ${binary:Version}), ${misc:Depends}
